# Project: Projet SDL-OGL
# Makefile created by Dev-C++ 4.9.9.2

CPP  = g++.exe
CC   = gcc.exe
WINDRES = windres.exe
RES  = 
OBJ  = obj/main.o obj/Map.o obj/Moteur.o obj/Perso.o obj/Interface.o obj/CSpritesPerso.o obj/Sorts.o $(RES)
LINKOBJ  = obj/main.o obj/Map.o obj/Moteur.o obj/Perso.o obj/Interface.o obj/CSpritesPerso.o obj/Sorts.o $(RES)
LIBS =  -L"C:/Dev-Cpp/lib" -mwindows -lmingw32 -lSDLmain -lSDL -lopengl32 -lglu32 -lSDL_image C:/Dev-Cpp/lib/SDL_image.lib  
INCS =  -I"C:/Dev-Cpp/include" 
CXXINCS =  -I"C:/Dev-Cpp/lib/gcc/mingw32/3.4.2/include"  -I"C:/Dev-Cpp/include/c++/3.4.2/backward"  -I"C:/Dev-Cpp/include/c++/3.4.2/mingw32"  -I"C:/Dev-Cpp/include/c++/3.4.2"  -I"C:/Dev-Cpp/include" 
BIN  = bin/TPB-Windows.exe
CXXFLAGS = $(CXXINCS)   -fexpensive-optimizations -O3
CFLAGS = $(INCS)    -fexpensive-optimizations -O3
RM = rm -f

.PHONY: all all-before all-after clean clean-custom

all: all-before bin/TPB-Windows.exe all-after


clean: clean-custom
	${RM} $(OBJ) $(BIN)

$(BIN): $(OBJ)
	$(CPP) $(LINKOBJ) -o "bin\TPB-Windows.exe" $(LIBS)

obj/main.o: src/main.cpp
	$(CPP) -c src/main.cpp -o obj/main.o $(CXXFLAGS)

obj/Map.o: src/Map.cpp
	$(CPP) -c src/Map.cpp -o obj/Map.o $(CXXFLAGS)

obj/Moteur.o: src/Moteur.cpp
	$(CPP) -c src/Moteur.cpp -o obj/Moteur.o $(CXXFLAGS)

obj/Perso.o: src/Perso.cpp
	$(CPP) -c src/Perso.cpp -o obj/Perso.o $(CXXFLAGS)

obj/Interface.o: src/Interface.cpp
	$(CPP) -c src/Interface.cpp -o obj/Interface.o $(CXXFLAGS)

obj/CSpritesPerso.o: src/CSpritesPerso.cpp
	$(CPP) -c src/CSpritesPerso.cpp -o obj/CSpritesPerso.o $(CXXFLAGS)

obj/Sorts.o: src/Sorts.cpp
	$(CPP) -c src/Sorts.cpp -o obj/Sorts.o $(CXXFLAGS)
